CREATE DATABASE corrupt;
GO
USE corrupt;
GO

CREATE TABLE t1 (c1 INT NOT NULL);
GO
ALTER TABLE t1 ADD PRIMARY KEY (c1);
GO

-- Now restart SQL Server in single-user mode
-- Connect using the Dedicated Admin Connection
USE corrupt;
GO

DELETE FROM sys.syscolpars WHERE [id] = OBJECT_ID ('t1');
GO

-- Restart the server in multi-user mode
BACKUP DATABASE corrupt TO DISK ='C:\SQLskills\corrupt.bak';
GO


